Bug 1466267 - CVE-2017-7526 libgcrypt: Use of left-to-right sliding window method allows full RSA key recovery [fedora-all]
CVE-2017-7526 libgcrypt: Use of left-to-right sliding window method allows fu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libgcrypt (Show other bugs)
25
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
AcceptedFreezeException
: Reopened, Security, SecurityTracking
Depends On:
Blocks: F26FinalFreezeException CVE-2017-7526
  Show dependency treegraph
 
Reported: 2017-06-29 07:30 EDT by Adam Mariš
Modified: 2017-07-14 12:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: libgcrypt-1.7.8-1.fc25 libgcrypt-1.7.8-1.fc26 libgcrypt-1.7.8-1.fc24
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-07 19:04:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-29 07:30:29 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Adam Mariš 2017-06-29 07:30:34 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1466265

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Fedora Update System 2017-06-29 09:08:50 EDT
libgcrypt-1.7.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a348b32eb5
Comment 3 Fedora Update System 2017-06-29 19:26:03 EDT
libgcrypt-1.7.8-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-22107b1986
Comment 4 Fedora Update System 2017-06-29 21:50:44 EDT
libgcrypt-1.7.8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3b70d0b976
Comment 5 Fedora Update System 2017-06-29 22:26:33 EDT
libgcrypt-1.7.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a348b32eb5
Comment 6 Fedora Update System 2017-07-03 21:53:01 EDT
libgcrypt-1.7.8-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Nick Bebout 2017-07-05 13:25:28 EDT
Reopening so I can propose as a F26 Freeze Exception.
Comment 8 Fedora Blocker Bugs Application 2017-07-05 13:27:02 EDT
Proposed as a Freeze Exception for 26-final by Fedora user nb using the blocker tracking app because:

 This is a moderate-impact CVE where libgcrypt/gnupg RSA 1024 has a vulnerability.  I think this would be a nice thing to accept as a freeze exception in the event that we make another RC for Fedora 26.  This update already has +3 karma, and is already pushed to karma in Fedora 25, but 26 is still pending stable.
Comment 9 Ben Williams 2017-07-05 13:34:30 EDT
+1 FE
Comment 10 Adam Williamson 2017-07-05 14:17:05 EDT
+1 FE if we slip, sure.
Comment 11 Mike Ruckman 2017-07-05 14:25:31 EDT
+1 FE if we slip.

Thanks.
Comment 12 Nick Bebout 2017-07-06 09:49:28 EDT
+1 FE.  This is +4, setting AcceptedFreezeException
Comment 13 Fedora Update System 2017-07-07 19:04:35 EDT
libgcrypt-1.7.8-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-07-14 12:48:52 EDT
libgcrypt-1.7.8-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.